petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscMallocViewSet

Activates logging of all calls to PetscMalloc() with a minimum size to view

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocViewSet(PetscLogDouble logmin)

Not Collective

### Input Arguments

logmin -minimum allocation size to log, or PETSC_DEFAULT

### Options Database Key

| -malloc_view <optional filename> | - Activates PetscMallocView() in PetscFinalize()
| -malloc_view_threshold <min> | - Sets a minimum size if -malloc_view is used
| -log_view_memory | - view the memory usage also with the -log_view option

Notes: Must be called after PetscMallocSetDebug()

Uses MPI_COMM_WORLD to determine rank because PETSc communicators may not be available

### See Also

PetscMallocDump(), PetscMallocView(), PetscMallocViewSet()

### Level

advanced

### Location

src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages